Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network43.2.16.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
43.2.16.0
Broadcast address
43.2.19.255
First usable
43.2.16.1
Last usable
43.2.19.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 2B021000 · Integer 721555456 to 721556479
Reverse DNS zones
16.2.43.in-addr.arpa
17.2.43.in-addr.arpa
18.2.43.in-addr.arpa
19.2.43.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101011.00000010.00010000.0000000043.2.16.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00101011.00000010.00010000.0000000043.2.16.0
Broadcast00101011.00000010.00010011.1111111143.2.19.255
Split into smaller subnets/29

43.2.16.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
143.2.16.0/2943.2.16.1 to 43.2.16.643.2.16.76
243.2.16.8/2943.2.16.9 to 43.2.16.1443.2.16.156
343.2.16.16/2943.2.16.17 to 43.2.16.2243.2.16.236
443.2.16.24/2943.2.16.25 to 43.2.16.3043.2.16.316
543.2.16.32/2943.2.16.33 to 43.2.16.3843.2.16.396
643.2.16.40/2943.2.16.41 to 43.2.16.4643.2.16.476
743.2.16.48/2943.2.16.49 to 43.2.16.5443.2.16.556
843.2.16.56/2943.2.16.57 to 43.2.16.6243.2.16.636
943.2.16.64/2943.2.16.65 to 43.2.16.7043.2.16.716
1043.2.16.72/2943.2.16.73 to 43.2.16.7843.2.16.796
1143.2.16.80/2943.2.16.81 to 43.2.16.8643.2.16.876
1243.2.16.88/2943.2.16.89 to 43.2.16.9443.2.16.956
1343.2.16.96/2943.2.16.97 to 43.2.16.10243.2.16.1036
1443.2.16.104/2943.2.16.105 to 43.2.16.11043.2.16.1116
1543.2.16.112/2943.2.16.113 to 43.2.16.11843.2.16.1196
1643.2.16.120/2943.2.16.121 to 43.2.16.12643.2.16.1276
1743.2.16.128/2943.2.16.129 to 43.2.16.13443.2.16.1356
1843.2.16.136/2943.2.16.137 to 43.2.16.14243.2.16.1436
1943.2.16.144/2943.2.16.145 to 43.2.16.15043.2.16.1516
2043.2.16.152/2943.2.16.153 to 43.2.16.15843.2.16.1596
2143.2.16.160/2943.2.16.161 to 43.2.16.16643.2.16.1676
2243.2.16.168/2943.2.16.169 to 43.2.16.17443.2.16.1756
2343.2.16.176/2943.2.16.177 to 43.2.16.18243.2.16.1836
2443.2.16.184/2943.2.16.185 to 43.2.16.19043.2.16.1916
2543.2.16.192/2943.2.16.193 to 43.2.16.19843.2.16.1996
2643.2.16.200/2943.2.16.201 to 43.2.16.20643.2.16.2076
2743.2.16.208/2943.2.16.209 to 43.2.16.21443.2.16.2156
2843.2.16.216/2943.2.16.217 to 43.2.16.22243.2.16.2236
2943.2.16.224/2943.2.16.225 to 43.2.16.23043.2.16.2316
3043.2.16.232/2943.2.16.233 to 43.2.16.23843.2.16.2396
3143.2.16.240/2943.2.16.241 to 43.2.16.24643.2.16.2476
3243.2.16.248/2943.2.16.249 to 43.2.16.25443.2.16.2556
3343.2.17.0/2943.2.17.1 to 43.2.17.643.2.17.76
3443.2.17.8/2943.2.17.9 to 43.2.17.1443.2.17.156
3543.2.17.16/2943.2.17.17 to 43.2.17.2243.2.17.236
3643.2.17.24/2943.2.17.25 to 43.2.17.3043.2.17.316
3743.2.17.32/2943.2.17.33 to 43.2.17.3843.2.17.396
3843.2.17.40/2943.2.17.41 to 43.2.17.4643.2.17.476
3943.2.17.48/2943.2.17.49 to 43.2.17.5443.2.17.556
4043.2.17.56/2943.2.17.57 to 43.2.17.6243.2.17.636
4143.2.17.64/2943.2.17.65 to 43.2.17.7043.2.17.716
4243.2.17.72/2943.2.17.73 to 43.2.17.7843.2.17.796
4343.2.17.80/2943.2.17.81 to 43.2.17.8643.2.17.876
4443.2.17.88/2943.2.17.89 to 43.2.17.9443.2.17.956
4543.2.17.96/2943.2.17.97 to 43.2.17.10243.2.17.1036
4643.2.17.104/2943.2.17.105 to 43.2.17.11043.2.17.1116
4743.2.17.112/2943.2.17.113 to 43.2.17.11843.2.17.1196
4843.2.17.120/2943.2.17.121 to 43.2.17.12643.2.17.1276
4943.2.17.128/2943.2.17.129 to 43.2.17.13443.2.17.1356
5043.2.17.136/2943.2.17.137 to 43.2.17.14243.2.17.1436
5143.2.17.144/2943.2.17.145 to 43.2.17.15043.2.17.1516
5243.2.17.152/2943.2.17.153 to 43.2.17.15843.2.17.1596
5343.2.17.160/2943.2.17.161 to 43.2.17.16643.2.17.1676
5443.2.17.168/2943.2.17.169 to 43.2.17.17443.2.17.1756
5543.2.17.176/2943.2.17.177 to 43.2.17.18243.2.17.1836
5643.2.17.184/2943.2.17.185 to 43.2.17.19043.2.17.1916
5743.2.17.192/2943.2.17.193 to 43.2.17.19843.2.17.1996
5843.2.17.200/2943.2.17.201 to 43.2.17.20643.2.17.2076
5943.2.17.208/2943.2.17.209 to 43.2.17.21443.2.17.2156
6043.2.17.216/2943.2.17.217 to 43.2.17.22243.2.17.2236
6143.2.17.224/2943.2.17.225 to 43.2.17.23043.2.17.2316
6243.2.17.232/2943.2.17.233 to 43.2.17.23843.2.17.2396
6343.2.17.240/2943.2.17.241 to 43.2.17.24643.2.17.2476
6443.2.17.248/2943.2.17.249 to 43.2.17.25443.2.17.2556
6543.2.18.0/2943.2.18.1 to 43.2.18.643.2.18.76
6643.2.18.8/2943.2.18.9 to 43.2.18.1443.2.18.156
6743.2.18.16/2943.2.18.17 to 43.2.18.2243.2.18.236
6843.2.18.24/2943.2.18.25 to 43.2.18.3043.2.18.316
6943.2.18.32/2943.2.18.33 to 43.2.18.3843.2.18.396
7043.2.18.40/2943.2.18.41 to 43.2.18.4643.2.18.476
7143.2.18.48/2943.2.18.49 to 43.2.18.5443.2.18.556
7243.2.18.56/2943.2.18.57 to 43.2.18.6243.2.18.636
7343.2.18.64/2943.2.18.65 to 43.2.18.7043.2.18.716
7443.2.18.72/2943.2.18.73 to 43.2.18.7843.2.18.796
7543.2.18.80/2943.2.18.81 to 43.2.18.8643.2.18.876
7643.2.18.88/2943.2.18.89 to 43.2.18.9443.2.18.956
7743.2.18.96/2943.2.18.97 to 43.2.18.10243.2.18.1036
7843.2.18.104/2943.2.18.105 to 43.2.18.11043.2.18.1116
7943.2.18.112/2943.2.18.113 to 43.2.18.11843.2.18.1196
8043.2.18.120/2943.2.18.121 to 43.2.18.12643.2.18.1276
8143.2.18.128/2943.2.18.129 to 43.2.18.13443.2.18.1356
8243.2.18.136/2943.2.18.137 to 43.2.18.14243.2.18.1436
8343.2.18.144/2943.2.18.145 to 43.2.18.15043.2.18.1516
8443.2.18.152/2943.2.18.153 to 43.2.18.15843.2.18.1596
8543.2.18.160/2943.2.18.161 to 43.2.18.16643.2.18.1676
8643.2.18.168/2943.2.18.169 to 43.2.18.17443.2.18.1756
8743.2.18.176/2943.2.18.177 to 43.2.18.18243.2.18.1836
8843.2.18.184/2943.2.18.185 to 43.2.18.19043.2.18.1916
8943.2.18.192/2943.2.18.193 to 43.2.18.19843.2.18.1996
9043.2.18.200/2943.2.18.201 to 43.2.18.20643.2.18.2076
9143.2.18.208/2943.2.18.209 to 43.2.18.21443.2.18.2156
9243.2.18.216/2943.2.18.217 to 43.2.18.22243.2.18.2236
9343.2.18.224/2943.2.18.225 to 43.2.18.23043.2.18.2316
9443.2.18.232/2943.2.18.233 to 43.2.18.23843.2.18.2396
9543.2.18.240/2943.2.18.241 to 43.2.18.24643.2.18.2476
9643.2.18.248/2943.2.18.249 to 43.2.18.25443.2.18.2556
9743.2.19.0/2943.2.19.1 to 43.2.19.643.2.19.76
9843.2.19.8/2943.2.19.9 to 43.2.19.1443.2.19.156
9943.2.19.16/2943.2.19.17 to 43.2.19.2243.2.19.236
10043.2.19.24/2943.2.19.25 to 43.2.19.3043.2.19.316
10143.2.19.32/2943.2.19.33 to 43.2.19.3843.2.19.396
10243.2.19.40/2943.2.19.41 to 43.2.19.4643.2.19.476
10343.2.19.48/2943.2.19.49 to 43.2.19.5443.2.19.556
10443.2.19.56/2943.2.19.57 to 43.2.19.6243.2.19.636
10543.2.19.64/2943.2.19.65 to 43.2.19.7043.2.19.716
10643.2.19.72/2943.2.19.73 to 43.2.19.7843.2.19.796
10743.2.19.80/2943.2.19.81 to 43.2.19.8643.2.19.876
10843.2.19.88/2943.2.19.89 to 43.2.19.9443.2.19.956
10943.2.19.96/2943.2.19.97 to 43.2.19.10243.2.19.1036
11043.2.19.104/2943.2.19.105 to 43.2.19.11043.2.19.1116
11143.2.19.112/2943.2.19.113 to 43.2.19.11843.2.19.1196
11243.2.19.120/2943.2.19.121 to 43.2.19.12643.2.19.1276
11343.2.19.128/2943.2.19.129 to 43.2.19.13443.2.19.1356
11443.2.19.136/2943.2.19.137 to 43.2.19.14243.2.19.1436
11543.2.19.144/2943.2.19.145 to 43.2.19.15043.2.19.1516
11643.2.19.152/2943.2.19.153 to 43.2.19.15843.2.19.1596
11743.2.19.160/2943.2.19.161 to 43.2.19.16643.2.19.1676
11843.2.19.168/2943.2.19.169 to 43.2.19.17443.2.19.1756
11943.2.19.176/2943.2.19.177 to 43.2.19.18243.2.19.1836
12043.2.19.184/2943.2.19.185 to 43.2.19.19043.2.19.1916
12143.2.19.192/2943.2.19.193 to 43.2.19.19843.2.19.1996
12243.2.19.200/2943.2.19.201 to 43.2.19.20643.2.19.2076
12343.2.19.208/2943.2.19.209 to 43.2.19.21443.2.19.2156
12443.2.19.216/2943.2.19.217 to 43.2.19.22243.2.19.2236
12543.2.19.224/2943.2.19.225 to 43.2.19.23043.2.19.2316
12643.2.19.232/2943.2.19.233 to 43.2.19.23843.2.19.2396
12743.2.19.240/2943.2.19.241 to 43.2.19.24643.2.19.2476
12843.2.19.248/2943.2.19.249 to 43.2.19.25443.2.19.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses